# FastenerNet

FastenerNet is a dataset containing 900 CAD fasteners, each given as a stl file.
It consists of 6 different types of fasteners. 
Each type is represented by 150 objects, making a total of 900 objects.

Grouping:

id 1-150: blind rivets
id 151-300: clip nuts
id 301-450: nuts
id 451-600: screws
id 601-750: spread rivets
id 751-900: fir tree clips

For experiments with FastenerNet, please consider the following work:
"Automatic Classification and Disassembly of Fasteners in Industrial 3D CAD-Scenarios", Michele F. Adesso, Robert Hegewald,
Nicola Wolpert, Elmar Schömer, Bianca Maier, Benjamin A. Epple, ICRA 2022


# Copyright:
All provided synthetic CAD models were modeled by looking at real fasteners. Therefore the provided fasteners look real but do not have the physical properties of their templates. This dataset is provided for the convenience of academic research only.
